//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
#include <avr/io.h>
//-------------------------------------
// Get ADC conversion value
//-------------------------------------
int getADC(char channel)
{
unsigned int W = 0;
ADMUX |= channel;
ADCSRA |= (1 << ADSC);
while(ADCSRA & (1 << ADIF));
ADCSRA |= (1 << ADIF);
W = ADCL;
W |= (ADCH << 8);
return W;
}
//-------------------------------------
// ADC Initialization
//-------------------------------------
void ADC_Init(void)
{
ADMUX = (1 << REFS0);
ADCSRA = (1 << ADEN) | (1 << ADPS2) | (1 << ADPS1) | (1 << ADPS0); 
}
//-------------------------------------
// End of file
//-------------------------------------
